Subject: Re: bug#9737: misc/timeout-group: spurious test failure on SLES 10.3 (coreutils 8.14)

From: Pádraig Brady <[email-masked]>
Date: Thu, 13 Oct 2011 19:44:02 +0100

On 10/13/2011 04:58 PM, Voelker, Bernhard wrote:
> reopen 9737
> thanks
> 
> Pádraig Brady wrote:
> 
>> Bah, this is just a racy test I think.
>> Hopefully the attached fixes it.
> 
> Thank you for the patch.
> 
> I tried it 16 times:
> 
> * 14x PASS, execution time real < 0.4s
> 
> * 1x test failure (in the 5th run)

So the command exited without receiving SIGINT.
Or perhaps the touch of the 'received.int' file
is being done asynch. Anything special about your
file system?

> * 1x the test lasted 20s (in the 16th run)

But this one passed, which means the command
did receive the SIGINT, but then didn't exit?

I'm confused, sorry,
Pádraig.